Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DeleteDBParameterGroupRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.DeleteDBParameterGroupRequest

    public class DeleteDBParameterGroupRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeleteDBParameterGroup operation`.

This API deletes a particular DBParameterGroup. The DBParameterGroup cannot be associated with any RDS instances to be deleted.

See Also:
  `AmazonRDS.deleteDBParameterGroup(DeleteDBParameterGroupRequest)`

Constructor Summary
`DeleteDBParameterGroupRequest()`

Method Summary
`String` | `getDBParameterGroupName()` The name of the DB Parameter Group.
`void` | `setDBParameterGroupName(String dBParameterGroupName)` The name of the DB Parameter Group.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteDBParameterGroupRequest` | `withDBParameterGroupName(String dBParameterGroupName)` The name of the DB Parameter Group.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteDBParameterGroupRequest

    public DeleteDBParameterGroupRequest()

Method Detail

### getDBParameterGroupName

    public String getDBParameterGroupName()

  The name of the DB Parameter Group. The specified database security group must not be associated with any DB instances.

  Returns:
    The name of the DB Parameter Group. The specified database security group must not be associated with any DB instances.

### setDBParameterGroupName

    public void setDBParameterGroupName(String dBParameterGroupName)

  The name of the DB Parameter Group. The specified database security group must not be associated with any DB instances.

  Parameters:
    `dBParameterGroupName` - The name of the DB Parameter Group. The specified database security group must not be associated with any DB instances.

### withDBParameterGroupName

    public DeleteDBParameterGroupRequest withDBParameterGroupName(String dBParameterGroupName)

  The name of the DB Parameter Group. The specified database security group must not be associated with any DB instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroupName` - The name of the DB Parameter Group. The specified database security group must not be associated with any DB instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.